* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Lato, sans-serif;
}
:root {
    --bg-color: #fff;
    --text-color: #191919;
    --primary-600: #850033;
    --primary-500: #c03434;
    --primary-400: #ef4444;
    --primary-300: #f8a4a4;
    --primary-200: #fcdada;
    --primary-100: #fdecec;
    --accent-color: #606060;
    --border-color: #e0e0e0;
    --card-bg: #f4f3fb;
    --shadow-color: rgba(0, 0, 0, 0.1);
    --input-text: #999;
    --color-red: #fb3748;
    --color-red-light: rgba(251, 55, 72, 0.10196078431372549);
    --color-yellow: #dfb400;
    --color-yellow-light: rgba(255, 219, 67, 0.1);
    --color-green: #1fc16b;
    --color-green-light: #e6fbf0;
    --color-neutral: #050202;
    --color-neutral-300: #fff;
    --color-neutral-400: #f8f8f8;
    --color-neutral-500: #e4e4e4;
    --color-neutral-700: #bbb;
    --color-neutral-800: #777;
    --color-neutral-900: #333;
}
.breadcrumb {
    padding: 10px 15px;
    background: var(--border-color);
    border-radius: 5px;
    font-size: 10px;
}
.breadcrumb a {
    color: var(--color-neutral-800);
    text-decoration: none;
    margin-right: 5px;
    font-size: 12px;
}
.breadcrumb a:hover {
    text-decoration: underline;
}
.breadcrumb a:visited {
    color: var(--primary-400);
}
.breadcrumb span {
    color: #999;
    font-size: 12px;
    margin-right: 5px;
}
.breadcrumb a:last-child {
    color: #000;
    font-weight: 600;
    text-decoration: none;
    pointer-events: none;
}
.product-details {
    padding: 20px;
}
.product-title {
    font-size: 20px;
    font-weight: 700;
}
.rating-badge {
    background-color: var(--primary-100);
    color: var(--primary-400);
    font-weight: 600;
    padding: 0 4px;
    border-radius: 5px;
    font-size: 14px;
}
.rating-badge img {
    width: 15px;
    height: 15px;
}
.rating-rating,
.rating-review,
.subHeader {
    font-size: 14px;
    color: var(--color-neutral-800);
}
.price {
    font-size: 1.5rem;
    font-weight: 700;
    color: #e74c3c;
}
.original-price {
    text-decoration: line-through;
    color: #7f8c8d;
}
.discounts {
    color: var(--color-green);
    font-weight: 700;
    background-color: var(--color-green-light);
    font-size: 13px;
    padding: 4px 8px;
    border-radius: 5px;
}
.btn-custom:hover {
    border: 2px solid var(--primary-500);
}
.option-btn {
    border: 1px solid var(--color-neutral-900);
    padding: 5px 20px;
    margin: 5px;
    background-color: var(--bg-color);
    border-radius: 40px;
}
.option-btn.active,
.option-btn:hover {
    color: var(--primary-400);
    background-color: var(--bg-color);
    border-color: var(--primary-400);
}
.option-btn.disabled {
    color: var(--border-color);
    background-color: var(--bg-color);
    border-color: var(--border-color);
}
@media (max-width: 768px) {
    .product-image {
        margin-bottom: 20px;
    }
    .product-details {
        text-align: center;
    }
    .color-option {
        width: 30px;
        height: 30px;
    }
}
.main-image-container {
    position: relative;
    display: inline-block;
    width: 100%;
    max-width: 500px;
    border-radius: 12px;
    overflow: hidden;
    background: #fff;
    border: 0.5px solid var(--border-color);
    padding: 10px;
}
.details-container {
    position: absolute;
    top: 50%;
    left: 105%;
    transform: translateY(-50%);
    width: 350px;
    height: 350px;
    border: 1px solid #ddd;
    border-radius: 10px;
    background: #fff;
    z-index: 10;
}
.drift-zoom-pane {
    background: none !important;
    background: none;
    overflow: hidden;
    width: 100%;
    height: 100%;
    top: 0 !important;
    right: 90px !important;
}
@media (max-width: 768px) {
    .drift-zoom-pane {
        display: none !important;
    }
    .product-image {
        cursor: default;
    }
}
.product-image {
    width: 100%;
    height: auto;
    border-radius: 10px;
    transition: transform 0.3s ease;
    display: block;
}
.icon-btn,
.icon-btn-share {
    position: absolute;
    right: 12px;
    cursor: pointer;
    transition: transform 0.2s ease;
}
.icon-btn-share {
    bottom: 12px;
    background: transparent;
    border: none;
    width: 36px;
    height: 36px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}
.icon-btn-share img {
    width: 18px;
    height: 18px;
}
.thumbnail-container .nav-btn {
    padding: 5px 8px;
    border-radius: 50%;
    flex-shrink: 0;
    border: none;
}
.thumbnail-container .nav-btn:disabled {
    opacity: 0.4;
    cursor: not-allowed;
}
.thumbnail-container .prev-btn {
    left: -5px;
}
.thumbnail-container .next-btn,
.thumbnail-container .prev-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
}
.thumbnail-container .next-btn {
    right: -5px;
}
.thumbnail-container .owl-carousel {
    flex-grow: 1;
}
.thumbnail-container {
    position: relative;
    border: none;
    background: transparent;
    box-shadow: none;
    padding: 10px 0;
    max-width: 480px;
}
@media (max-width: 992px) and (min-width: 768px) {
    .thumbnail-container {
        border: none;
        background: transparent;
        box-shadow: none;
        padding: 10px 0;
        max-width: 280px;
    }
}
.thumbnail {
    width: 90px;
    height: 90px;
    object-fit: contain;
    border: 1px solid #ddd;
    border-radius: 8px;
    cursor: pointer;
    transition: 0.3s;
    scroll-snap-align: start;
}
.thumbnail:hover {
    border-color: #a855f7;
}
.thumbnail.active {
    border: 2px solid #a855f7;
}
@media (max-width: 768px) {
    .main-image-container {
        margin-bottom: 20px;
    }
    .thumbnail {
        width: 70px;
        height: 70px;
    }
}
.owl-nav button {
    position: absolute;
    top: 35%;
    background: #fff !important;
    border: 1px solid #ddd !important;
    padding: 5px 12px !important;
    border-radius: 50%;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}
.owl-nav button.owl-prev {
    left: -30px;
}
.owl-nav button.owl-next {
    right: -30px;
}
.color-option {
    border: 1px solid var(--border-color);
    padding: 8px;
    cursor: pointer;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    width: 30px;
    height: 30px;
}
.color-option:hover {
    border: 2px solid var(--card-bg);
}
.color-option.active {
    border: 3px solid var(--card-bg);
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.2);
}
.addCard-btn {
    background-color: var(--primary-100);
    color: var(--primary-500) !important;
    padding: 0 20px;
    border: 1px solid var(--primary-500);
    border-radius: 40px;
    text-align: center;
    font-size: 8px !important;
    transition: all 0.3s ease;
}
.addCard-btn button {
    color: var(--primary-400) !important;
    font-size: 12px;
    font-weight: 700;
}
.addCard-btn.active,
.addCard-btn:hover {
    background-color: var(--primary-200) !important;
}
.buyNow-btn {
    font-size: 12px !important;
    background-color: var(--primary-400);
    color: var(--bg-color) !important;
    padding: 3px 20px;
    border-radius: 40px;
    text-align: center;
    transition: all 0.3s ease;
}
.buyNow-btn.active,
.buyNow-btn:hover {
    background-color: var(--primary-500) !important;
}
.delivery-box {
    justify-content: flex-start;
    gap: 40px;
    margin-top: 10px;
}
.delivery-box,
.pincode-box {
    display: flex;
    align-items: center;
}
.pincode-box {
    border: 1px solid var(--color-neutral-700);
    border-radius: 8px;
    padding: 12px;
    background: var(--bg-color);
    justify-content: space-between;
}
.pincode-input {
    border: none;
    outline: none;
    font-size: 14px;
    width: 100%;
}
@media (max-width: 1999px) and (min-width: 992px) {
    .pincode-input {
        border: none;
        outline: none;
        font-size: 14px;
        width: 120px;
    }
}
.location-icon {
    width: 18px;
    height: 18px;
}
.label {
    font-size: 14px;
    color: var(--accent-color);
    margin: 0;
}
.value {
    font-size: 15px;
    font-weight: 600;
    color: var(--color-neutral);
    margin: 0;
}
.tabs-card {
    background: var(--card);
    border-radius: 8px;
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.03);
    padding: 24px;
    max-width: 1200px;
    margin: 0 auto;
    border: 1px solid var(--line);
}
.tabs {
    display: flex;
    gap: 24px;
    border-bottom: 1px solid var(--border-color);
    padding-bottom: 2px;
    margin-bottom: 18px;
    align-items: flex-end;
    font-size: 14px;
}
.tab {
    padding: 8px 4px;
    cursor: pointer;
    color: var(--color-neutral-800);
    font-weight: 600;
    position: relative;
}
.tab.active {
    color: var(--color-neutral);
}
.tab.active:after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: -2px;
    height: 3px;
    width: 100%;
    background: var(--primary-400);
    border-radius: 3px 3px 0 0;
}
.content {
    display: none;
}
.content.active {
    display: block;
}
.highlights {
    font-size: 16px;
    color: var(--color-neutral-800);
    line-height: 1.6;
    margin-bottom: 18px;
}
.highlights p {
    font-size: 14px;
    color: var(--color-neutral-900);
}
.warning-bg {
    background-color: #e8e8e8;
    border-radius: 5px;
    gap: 10px;
    padding: 4px;
}
.warning-text {
    color: var(--color-neutral-900);
    margin-bottom: 0;
    font-size: 14px;
}
.warning-bg img {
    width: 20px;
    height: 20px;
}
.product-des {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.card_offers {
    border: 1px solid #d9d9d9;
    border-radius: 10px;
    padding: 5px;
}
.show-More-btn {
    text-decoration: underline;
    color: var(--primary-400);
    cursor: pointer;
}
.special-price {
    background-color: #d6e3ff;
    color: #6294ff;
    border: 0.5px solid #6294ff;
    border-radius: 3px;
    font-size: 10px;
    padding: 0 7px;
}
.stock-badge {
    background-color: #d6ffd8;
    color: #00dd1a;
    border: 0.5px solid #00dd1a;
    border-radius: 3px;
    font-size: 10px;
    padding: 0 10px;
}
.out-of-stock {
    background-color: #fdd;
    color: #ff8989;
    border: 0.5px solid #ff8989;
    border-radius: 3px;
    font-size: 10px;
    padding: 3px 10px;
}
.product-stock-badge {
    background-color: var(--color-green-light);
    color: var(--color-green);
}
.product-out-of-stock,
.product-stock-badge {
    border-radius: 3px;
    font-size: 12px;
    font-weight: 600;
    padding: 3px 6px;
}
.product-out-of-stock {
    background-color: var(--color-red-light);
    color: var(--color-red);
}
.share-badge {
    background-color: var(--primary-400);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 8px;
    border-radius: 10%;
}
.share-badge img {
    width: 20px;
    height: 20px;
}
@media screen and (min-width: 320px) and (max-width: 470px) {
    .share-badge {
        background-color: var(--primary-400);
        display: inline-flex;
        align-items: center;
        justify-content: center;
        padding: 3px;
        border-radius: 10%;
    }
    .share-badge img {
        width: 20px;
        height: 20px;
    }
}
.review-text {
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
    max-width: 100%;
    color: var(--color-neutral);
    font-weight: 700;
}
.review-text-p,
.reviewer-name {
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
    max-width: 100%;
    color: var(--color-neutral-800);
    font-size: small;
}
.custom-modal-content {
    background-color: transparent;
    border: none;
}
.custom-close {
    background: none;
    border: none;
    font-size: 20px;
    color: var(--bg-color);
    cursor: pointer;
}
.bookmark-text-color {
    color: var(--primary-400);
}
.topDealHeading {
    font-weight: 600;
    font-style: SemiBold;
    font-size: 32px;
    line-height: 32px;
    color: var(--color-neutral-900);
}
.positionRelative {
    position: relative;
}
.noWrap {
    white-space: nowrap;
}
.topDealCarouselContainer .owl-carousel {
    position: relative;
}
.owl-nav {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
    display: flex;
    justify-content: space-between;
    width: 100%;
    pointer-events: none;
}
.owl-nav .custom-next,
.owl-nav .custom-prev {
    background-color: var(--color-neutral-400);
    color: var(--color-neutral-900);
    padding: 10px 16px;
    border-radius: 50%;
    cursor: pointer;
    pointer-events: all;
    transition: background 0.3s ease;
}
.owl-nav .custom-next:hover,
.owl-nav .custom-prev:hover {
    background-color: var(--color-neutral-500);
}
.productDescription {
    font-family: Lato;
    font-weight: 400;
    font-style: Regular;
    font-size: 13px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 40px;
}
.disountPrice {
    font-family: Lato;
    font-weight: 700;
    font-style: Bold;
    font-size: 17px;
    color: var(--color-neutral-900);
}
.originalPrice {
    font-weight: 600;
    font-style: SemiBold;
    font-size: 12px;
    color: var(--color-neutral-800);
}
.discount {
    color: var(--color-green);
}
.noOfRating {
    font-weight: 400;
    font-size: 10px;
    color: var(--color-neutral-700);
}
.noOfRating,
.rating {
    font-family: Noto Sans;
    font-style: Regular;
}
.rating {
    font-weight: 500;
    font-size: 12px;
    display: flex;
    color: var(--primary-400);
}
.offerText {
    font-size: 14px;
    text-align: center;
}
.coupenCode,
.offerText {
    font-weight: 600;
    color: var(--primary-400);
}
.coupenCode {
    border-radius: 5px;
    padding: 8px;
    border-width: 1px;
    background-color: var(--primary-100);
    border: 1px solid var(--primary-400);
    font-style: Medium;
    font-size: 13px;
    cursor: pointer;
}
.cardPrimaryFont {
    font-weight: 500;
    font-style: Medium;
    font-size: 20px;
}
.cardSecondaryFont {
    font-weight: 700;
    font-style: Bold;
    font-size: 22px;
}
.cardBtn {
    font-family: Noto Sans;
    font-weight: 400;
    font-style: Regular;
    font-size: 10px;
    width: 80px;
    margin-left: 10px;
    color: var(--color-neutral-900);
    border-radius: 30px;
}
.card-1:hover .cardBtn,
.card-2:hover .cardBtn,
.card-3:hover .cardBtn,
.card-4:hover .cardBtn,
.card-5:hover .cardBtn,
.cardBtn:hover {
    background-color: var(--primary-400);
    border-radius: 30px;
    color: var(--bg-color);
}
.card-1 {
    background-color: var(--gaming-background);
    color: var(--gaming-color);
}
.card-1,
.card-2 {
    border-radius: 15px;
}
.card-2 {
    background-color: var(--office-background);
    color: var(--office-color);
}
.card-3 {
    background-color: var(--budget-background);
    color: var(--budget-color);
}
.card-3,
.card-4 {
    border-radius: 15px;
}
.card-4 {
    background-color: var(--business-background);
    color: var(--business-color);
}
.card-5 {
    background-color: var(--students-background);
    border-radius: 15px;
    color: var(--students-color);
}
.deal-badge {
    background-color: var(--primary-400);
    border-radius: 4px;
    padding: 2px 4px;
    font-size: x-small;
    margin: 0 25px;
    color: var(--bg-color);
}
@media screen and (max-width: 450px) {
    .deal-badge {
        margin: 0 !important;
    }
    .tooltip_dec {
        visibility: hidden;
        background-color: var(--color-neutral);
        color: var(--bg-color);
        text-align: center;
        border-radius: 6px;
        padding: 5px;
        position: absolute;
        z-index: 1;
        bottom: 90%;
        left: 10%;
        margin-left: 10px !important;
    }
}
.tooltip_dec {
    background-color: var(--color-neutral);
    border-radius: 6px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    bottom: -60%;
    left: 50%;
    margin-left: 60px;
}
.tooltip-text,
.tooltip_dec {
    visibility: hidden;
    color: var(--bg-color);
    text-align: center;
}
.tooltip-text {
    background-color: rgba(0, 0, 0, 0.7490196078431373);
    border-radius: 5px;
    padding: 4px;
    margin: 10px 16px;
    transform: translateX(-50%);
    font-size: 10px;
    white-space: nowrap;
}
.productCard {
    border-radius: 15px;
}
.productCard:hover {
    box-shadow: 0 2px 8px 0 rgba(239, 68, 68, 0.1450980392156863);
    border: 1px solid var(--primary-400) !important;
}
